/********** Template CSS **********/
:root {
    --primary: #06A3DA;
    --secondary: #34AD54;
    --light: #EEF9FF;
    --dark: #091E3E;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Poppins", sans-serif;
}

body {
    font-family: "Poppins", sans-serif;
}

/*** Spinner ***/
.spinner {
    width: 40px;
    height: 40px;
    background: var(--primary);
    margin: 100px auto;
    -webkit-animation: sk-rotateplane 1.2s infinite ease-in-out;
    animation: sk-rotateplane 1.2s infinite ease-in-out;
}

@-webkit-keyframes sk-rotateplane {
    0% {
        -webkit-transform: perspective(120px)
    }

    50% {
        -webkit-transform: perspective(120px) rotateY(180deg)
    }

    100% {
        -webkit-transform: perspective(120px) rotateY(180deg) rotateX(180deg)
    }
}

@keyframes sk-rotateplane {
    0% {
        transform: perspective(120px) rotateX(0deg) rotateY(0deg);
        -webkit-transform: perspective(120px) rotateX(0deg) rotateY(0deg)
    }

    50% {
        transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
        -webkit-transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg)
    }

    100% {
        transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
        -webkit-transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
    }
}

#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}


/*** Heading ***/
h1,
h2,
.fw-bold {
    font-weight: 800 !important;
}

h3,
h4,
.fw-semi-bold {
    font-weight: 700 !important;
}

h5,
h6,
.fw-medium {
    font-weight: 600 !important;
}

h2 {
    font-size: 38px;
}

@media (max-width:767px) {
    h2 {
        font-size: 30px;
    }
}

/*** Button ***/
.btn {
    font-weight: 600;
    transition: .5s;
}

.btn-primary,
.btn-secondary {
    color: #FFFFFF;
    box-shadow: inset 0 0 0 50px transparent;
}

.btn-primary:hover {
    box-shadow: inset 0 0 0 0 var(--primary);
}

.btn-secondary:hover {
    box-shadow: inset 0 0 0 0 var(--secondary);
}

.btn-square {
    width: 36px;
    height: 36px;
}

.btn-sm-square {
    width: 30px;
    height: 30px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding-left: 0;
    padding-right: 0;
    text-align: center;
}


.header-logo {
    width: 160px;
}


.header-logo-colored {
    width: 160px;
    display: none;
}

.sticky-top .header-logo {
    display: none;
}

.sticky-top .header-logo-colored {
    display: block;
}

@media (max-width:1024px) {
    .header-logo {
        width: 150px;
    }

    .header-logo-colored {
        width: 150px;
    }

    .header-logo {
        display: none;
    }

    .header-logo-colored {
        display: block;
    }
}

/*** Navbar ***/
.navbar-dark .navbar-nav .nav-link {
    position: relative;
    margin-left: 30px;
    padding: 35px 0;
    color: #FFFFFF;
    font-size: 18px;
    font-weight: 600;
    outline: none;
    transition: .5s;
}

.sticky-top.navbar-dark .navbar-nav .nav-link {
    padding: 20px 0;
    color: var(--dark);
}

.navbar-dark .navbar-nav .nav-link:hover,
.navbar-dark .navbar-nav .nav-link.active {
    color: var(--primary);
}

.navbar-dark .navbar-brand h1 {
    color: #FFFFFF;
}

.navbar-dark .navbar-toggler {
    color: var(--primary) !important;
    border-color: var(--primary) !important;
}

@media (max-width: 991.98px) {
    .sticky-top.navbar-dark {
        position: relative;
        background: #FFFFFF;
    }

    .navbar-dark .navbar-nav .nav-link,
    .navbar-dark .navbar-nav .nav-link.show,
    .sticky-top.navbar-dark .navbar-nav .nav-link {
        padding: 10px 0;
        color: var(--dark);
    }

    .navbar-dark .navbar-brand h1 {
        color: var(--primary);
    }
}

@media (min-width: 992px) {
    .navbar-dark {
        position: absolute;
        width: 100%;
        top: 0;
        left: 0;
        border-bottom: 1px solid rgba(256, 256, 256, .1);
        z-index: 999;
    }

    .sticky-top.navbar-dark {
        position: fixed;
        background: #FFFFFF;
    }

    .navbar-dark .navbar-nav .nav-link::before {
        position: absolute;
        content: "";
        width: 0;
        height: 2px;
        bottom: -1px;
        left: 50%;
        background: var(--primary);
        transition: .5s;
    }

    .navbar-dark .navbar-nav .nav-link:hover::before,
    .navbar-dark .navbar-nav .nav-link.active::before {
        width: 100%;
        left: 0;
    }

    .navbar-dark .navbar-nav .nav-link.nav-contact::before {
        display: none;
    }

    .sticky-top.navbar-dark .navbar-brand h1 {
        color: var(--primary);
    }
}


/*** Carousel ***/
.carousel-caption {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgb(0 0 0 / 80%);
    z-index: 1;
}

@media (max-width: 576px) {
    .carousel-caption h5 {
        font-size: 14px;
        font-weight: 500 !important;
    }

    .carousel-caption h1 {
        font-size: 30px;
        font-weight: 600 !important;
    }
}

.carousel-control-prev,
.carousel-control-next {
    width: 10%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 3rem;
    height: 3rem;
}


/*** Section Title ***/
.section-title::before {
    position: absolute;
    content: "";
    width: 150px;
    height: 5px;
    left: 0;
    bottom: 0;
    background: var(--primary);
    border-radius: 2px;
}

.section-title.text-center::before {
    left: 50%;
    margin-left: -75px;
}

.section-title.section-title-sm::before {
    width: 90px;
    height: 3px;
}

.section-title::after {
    position: absolute;
    content: "";
    width: 6px;
    height: 5px;
    bottom: 0px;
    background: #FFFFFF;
    -webkit-animation: section-title-run 5s infinite linear;
    animation: section-title-run 5s infinite linear;
}

.section-title.section-title-sm::after {
    width: 4px;
    height: 3px;
}

.section-title.text-center::after {
    -webkit-animation: section-title-run-center 5s infinite linear;
    animation: section-title-run-center 5s infinite linear;
}

.section-title.section-title-sm::after {
    -webkit-animation: section-title-run-sm 5s infinite linear;
    animation: section-title-run-sm 5s infinite linear;
}

@-webkit-keyframes section-title-run {
    0% {
        left: 0;
    }

    50% {
        left: 145px;
    }

    100% {
        left: 0;
    }
}

@-webkit-keyframes section-title-run-center {
    0% {
        left: 50%;
        margin-left: -75px;
    }

    50% {
        left: 50%;
        margin-left: 45px;
    }

    100% {
        left: 50%;
        margin-left: -75px;
    }
}

@-webkit-keyframes section-title-run-sm {
    0% {
        left: 0;
    }

    50% {
        left: 85px;
    }

    100% {
        left: 0;
    }
}


/*** Service ***/
.service-item {
    position: relative;
    /* height: 300px; */
    padding: 30px 30px;
    transition: .5s;
}

.service-item .service-icon {
    margin-bottom: 30px;
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--primary);
    border-radius: 2px;
    transform: rotate(-45deg);
}

.service-item .service-icon i {
    transform: rotate(45deg);
}

.service-item a.btn {
    position: absolute;
    width: 60px;
    bottom: -48px;
    left: 50%;
    margin-left: -30px;
    opacity: 0;
}

.service-item:hover a.btn {
    bottom: -24px;
    opacity: 1;
}


/*** Testimonial ***/
.testimonial-carousel .owl-dots {
    margin-top: 15px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

.testimonial-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 15px;
    height: 15px;
    background: #DDDDDD;
    border-radius: 2px;
    transition: .5s;
}

.testimonial-carousel .owl-dot.active {
    width: 30px;
    background: var(--primary);
}

.testimonial-carousel .owl-item.center {
    position: relative;
    z-index: 1;
}

.testimonial-carousel .owl-item .testimonial-item {
    transition: .5s;
}

.testimonial-carousel .owl-item.center .testimonial-item {
    background: #FFFFFF !important;
    box-shadow: 0 0 30px #DDDDDD;
}


/*** Team ***/
.team-item {
    transition: .5s;
}

.team-social {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .5s;
}

.team-social a.btn {
    position: relative;
    margin: 0 3px;
    margin-top: 100px;
    opacity: 0;
}

.team-item:hover {
    box-shadow: 0 0 30px #DDDDDD;
}

.team-item:hover .team-social {
    background: rgba(9, 30, 62, .7);
}

.team-item:hover .team-social a.btn:first-child {
    opacity: 1;
    margin-top: 0;
    transition: .3s 0s;
}

.team-item:hover .team-social a.btn:nth-child(2) {
    opacity: 1;
    margin-top: 0;
    transition: .3s .05s;
}

.team-item:hover .team-social a.btn:nth-child(3) {
    opacity: 1;
    margin-top: 0;
    transition: .3s .1s;
}

.team-item:hover .team-social a.btn:nth-child(4) {
    opacity: 1;
    margin-top: 0;
    transition: .3s .15s;
}

.team-item .team-img img,
.blog-item .blog-img img {
    transition: .5s;
}

.team-item:hover .team-img img,
.blog-item:hover .blog-img img {
    transform: scale(1.15);
}


/*** Miscellaneous ***/
@media (min-width: 991.98px) {
    .facts {
        position: relative;
        margin-top: -75px;
        z-index: 1;
    }
}

.back-to-top {
    position: fixed;
    display: none;
    right: 45px;
    bottom: 45px;
    z-index: 99;
}

.bg-header {
    background: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)), url(../img/carousel-1.jpg) center center no-repeat;
    background-size: cover;
    margin-bottom: 30px !important;
}

.link-animated a {
    transition: .5s;
}

.link-animated a:hover {
    padding-left: 10px;
}

@media (min-width: 767.98px) {
    .footer-about {
        margin-bottom: -75px;
    }
}




#header-carousel .carousel-caption {
    text-align: left;
}

#header-carousel .carousel-caption h1 {
    font-size: 48px;
}

#header-carousel .carousel-caption h5 {
    font-size: 22px;
}

#header-carousel .carousel-caption p {
    font-size: 14px;
}

.features_section h5 i {
    color: #06A3DA;
}

.ctasection .bg-primary {
    /* dark gradient background image */
    background: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)), url(../img/cta-image.webp) center center no-repeat;
    background-size: cover;
}

#header-carousel .carousel-item img {
    height: 740px;
    object-fit: cover;
}

@media(max-width:767px) {
    #header-carousel .carousel-caption h1 {
        font-size: 32px;
        font-weight: 700 !important;
    }

    #header-carousel .carousel-caption h5 {
        font-size: 18px;
        font-weight: 600 !important;
    }

    #header-carousel .carousel-caption p {
        font-size: 12px;
    }

    #header-carousel .carousel-item img {
        height: 640px;
        object-fit: cover;
    }

    .btn-primary.px-5 {
        padding-right: 1.5rem !important;
        padding-left: 1.5rem !important;
    }
}

.carousel-control-prev,
.carousel-control-next {
    display: none;
}

.stats .d-flex .ps-4{
    width: 80%;
}

.stats .d-flex h5{
    font-size: 18px;
}


/* Container */
.tech-table{
    padding-bottom: 60px;
}

/* Table */
.table{
    border-collapse: separate;
    border-spacing: 0;
}

/* Table Header */
.table thead th{
    background:#06A3DA;
    color:#fff;
    font-weight:600;
    padding:16px 20px;
    border-right:2px solid #ffffff;
}

/* Remove last header border */
.table thead th:last-child{
    border-right:none;
}

/* Table Cells */
.table tbody td{
    padding:16px 20px;   /* more padding */
    border-bottom:1px solid #e5e5e5;
}

/* Category column */
.category{
    font-weight:600;
    color:#091E3E;
    width:220px;
    border-right:2px solid #dfeaf1; /* vertical separator */
    background:#f7fbff;
}

/* Technology text */
.tech-list{
    color:#6B6A75;
}

/* Alternating rows */
.table tbody tr:nth-child(odd){
    background:#ffffff;
}

.table tbody tr:nth-child(even){
    background:#eef7fb;
}

/* Hover effect */
.table tbody tr:hover{
    background:#d9f0fa;
}

.text-colorgrey{
    color: #6B6A75;
}

.process-section{
    padding:60px 0;
    background:#f5f7fb;
}

.process-card{
    background:#fff;
    border-radius:0px;
    padding:25px;
    height:100%;
    transition:0.3s;
}

.process-card:hover{
    transform:translateY(-5px);
}

.step-number{
    width:40px;
    height:40px;
    background:#06A3DA;
    color:#fff;
    font-weight:600;
    border-radius:50%;
    display:flex;
    align-items:center;
    justify-content:center;
    margin-bottom:15px;
}

.process-title{
    font-weight:600;
    margin-bottom:10px;
    color: #091E3E;
}

.process-desc{
    font-size:14px;
    color:#6B6A75;
}

.servicepagetable .category{
    color: #6B6A75;
    font-weight: normal;
}

.cursornone{
    cursor:none;
}

.gdicon img{
    width: 14px;
    height: 14px;
}

.gdicon:hover img{
    filter: invert(1);
}

.contactdetails .bg-primary{
    width: 20%;
}

.contactdetails .ps-4{
    width: 80%;
}



/* ===== DARK OVERLAY ===== */
#indiasoftModal {
    background-color: rgba(0, 0, 0, 0.75);
}

/* ===== MODAL SIZE CONTROL ===== */
#indiasoftModal .modal-dialog {
    max-width: 580px;
    /* control modal width */
    width: 90%;
    top: 0%;
}


/* ===== MODAL CONTENT STYLING ===== */
#indiasoftModal .modal-content {
    border-radius: 15px;
    padding: 0px;
    border: none;
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.2);
}


/* ===== HEADER STYLE ===== */
#indiasoftModal .modal-header {
    border-bottom: none;
    padding-bottom: 0;
}

#indiasoftModal .modal-title {
    font-weight: 700;
    font-size: 30px;
}


/* ===== IMAGE FIX ===== */
#indiasoftModal img {
    max-height: 210px;
    width: 100%;
    object-fit: cover;
    border-radius: 10px 10px 0px 0px;
}


/* ===== TEXT SPACING ===== */
#indiasoftModal h4 {
    font-size: 20px;
    margin-top: 10px;
}

#indiasoftModal p {
    font-size: 15px;
    color: #555;
}


#indiasoftModal .modal-body {
    padding-bottom: 30px;
}

/* ===== BUTTON STYLE ===== */
#indiasoftModal .btn-info {
    padding: 10px 30px;
    border-radius: 0px;
    font-weight: 600;
    color: #fff;
}


#indiasoftModal .close-icon {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 10;
}

#indiasoftModal .close-icon .btn-close {
    background-color: #fff;
    border-radius: 50%;
    padding: 8px;
    width: 24px;
    height: 24px;
}

/* ===== RESPONSIVE FIX ===== */
@media (max-width: 576px) {
    #indiasoftModal .modal-dialog {
        max-width: 95%;
    }

    #indiasoftModal img {
        max-height: 200px;
    }

    #indiasoftModal .modal-title {
        font-weight: 700;
        font-size: 24px;
    }
}
